from analogio import AnalogIn
from digitalio import DigitalInOut,Direction,Pull
from adafruit_hid.keyboard import Keyboard
from adafruit_hid.keycode import Keycode
import board
import usb_hid
import time

keyboard = Keyboard(usb_hid.devices)
button_pin = [0, board.GP4,  board.GP3,  board.GP2,  board.GP7,  board.GP6,
                 board.GP5,  board.GP10,  board.GP9,  board.GP8,  board.GP13,
                 board.GP12, board.GP11]
button_num = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12]

for i in range(1,len(button_num)):
    button_num[i] = DigitalInOut(button_pin[i])
    button_num[i].direction = Direction.INPUT
    button_num[i].pull = Pull.DOWN

if __name__ == "__main__":
    while True:
        button_value = [0, Keycode.F1, Keycode.F2, Keycode.F3,
                        Keycode.SEVEN, Keycode.EIGHT, Keycode.NINE,
                        Keycode.FOUR, Keycode.FIVE, Keycode.SIX,
                        Keycode.ONE, Keycode.TWO, Keycode.THREE]
        for j in range(1,len(button_num)):
            if button_num[j].value:
                keyboard.press(button_value[j])
                time.sleep(0.1)
                keyboard.release(button_value[j])    
        time.sleep(0.1)

